WWW::PipeViewer::GetCaption(3)

NAME
WWW::PipeViewer::GetCaption - Save the YouTube closed captions as .srt files for a videoID.

SYNOPSIS
    use WWW::PipeViewer::GetCaption;

    my $yv_cap = WWW::PipeViewer::GetCaption->new(%opts);
    my $file = $yv_cap->save_caption($videoID);

SUBROUTINES/METHODS

  new(%opts)
Options:

captions => []
    The captions data.

captions_dir => "."
    Where to save the closed captions.

languages => [qw(en es ro jp)]
    Preferred languages. First found is saved and returned.

  find_caption_data()
Find a caption data, based on the preferred languages.

  sec2time(@seconds)
Convert a list of seconds to .srt times.

  xml2srt($xml_string)
Convert the XML data to SubRip format.

  save_caption($video_ID)
Save the caption in a .srt file and return its file path.

AUTHOR
Trizen, "<echo dHJpemVuQHByb3Rvbm1haWwuY29tCg== | base64 -d>"

SUPPORT
You can find documentation for this module with the perldoc command.

    perldoc WWW::PipeViewer::GetCaption

LICENSE AND COPYRIGHT
Copyright 2012-2015 Trizen.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See <https://dev.perl.org/licenses/> for more information.